import type { File } from '@babel/types';
import type Module from './module';
import type { ITransformFileResult } from './types';
export declare class TransformCacheCollection {
    readonly resolveCache: Map<string, string>;
    readonly codeCache: Map<string, {
        imports: Map<string, string[]> | null;
        only: string[];
        result: ITransformFileResult;
    }>;
    readonly evalCache: Map<string, Module>;
    readonly originalASTCache: Map<string, File | 'ignored'>;
    private contentHashes;
    constructor(resolveCache?: Map<string, string>, codeCache?: Map<string, {
        imports: Map<string, string[]> | null;
        only: string[];
        result: ITransformFileResult;
    }>, evalCache?: Map<string, Module>, originalASTCache?: Map<string, File | 'ignored'>);
    invalidateForFile(filename: string): void;
    invalidateIfChanged(filename: string, content: string): void;
}
